For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connections

Get list of Connections

get

Returns a paginated list of Backup & Archive Connections with customizable page size

Authorizations
AuthorizationstringRequired

Bearer <access_token>

Query parameters
searchstringOptional

Search term (max 80)

pagenumberRequired

Number of page (min 1)

Example: 1
limitnumberRequired

Limit of entities per page (min 1, max 2000)

Example: 50
Responses
200

Returns a paginated list of Backup & Archive Connections

application/json
totalnumberRequired

Total number of entities.

Example: 1
get/api/v1/connections
GET /api/v1/connections?page=1&limit=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "items": [
    {
      "id": 1,
      "externalId": 1,
      "name": "MyOrg",
      "userName": "example@email.com",
      "salesforceOrgType": "PRODUCTION"
    }
  ]
}

Get Connection by Id

get

Returns the Backup & Archive Connection by Id

Authorizations
AuthorizationstringRequired

Bearer <access_token>

Path parameters
connectionIdnumberRequired
Responses
200

Returns the Backup & Archive Connection by Id

application/json
idnumberRequiredExample: 1
externalIdnumberRequiredExample: 1
namestringRequired

Connection name

Example: MyOrg
userFullNamestringRequired

Full name of user for authenticating the connection.

Example: John Doe
userNamestringRequired

Username for authenticating the connection.

Example: example@email.com
salesforceOrgIdstringRequired

Salesforce organization ID

Example: 12ABC34567892DEFGC
salesforceOrgTypestring · enumRequired

Salesforce organization type: SANDBOX or PRODUCTION

Example: PRODUCTIONPossible values:
get/api/v1/connections/{connectionId}
GET /api/v1/connections/{connectionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "externalId": 1,
  "name": "MyOrg",
  "userFullName": "John Doe",
  "userName": "example@email.com",
  "salesforceOrgId": "12ABC34567892DEFGC",
  "salesforceOrgType": "PRODUCTION"
}

Get Connection Id by Salesforce organization Id

get

Returns the Backup & Archive Connection Id by Salesforce organization Id

Authorizations
AuthorizationstringRequired

Bearer <access_token>

Path parameters
salesforceOrgIdstringRequired

Salesforce organization Id

Example: 12ABC34567892DEFGC
Responses
200

Returns the Backup & Archive Connection

application/json
connectionIdnumberRequired
get/api/v1/connections/connectionId/{salesforceOrgId}
GET /api/v1/connections/connectionId/{salesforceOrgId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "connectionId": 1
}

Last updated

Was this helpful?